%zobraz modely
figure
showModel(load('../data/face01.data'), load('../data/face01_faces.data'), 'b');
showModel(load('../data/face02.data'), load('../data/face02_faces.data'), 'r');
view([165 21]);

%zobraz landmarky
lm1=[-53.354 28.486 -2.569;...
     -29.122 28.840 0.877;...
     11.710 28.972 1.375;...
     37.182 28.986 -0.882;...
     -9.092 -1.609 42.926;...
     17.134 -36.871 11.846;...
     -30.094 -38.477 11.145];
 
lm2=[-25.585 43.546 -25.649;...
     0.549 42.723 -18.270;...
     40.092 36.795 -16.481;...
     66.001 36.277 -20.168;...
     18.836 7.659 20.985;...
     41.956 -32.346 -9.661;...
     -6.968 -30.422 -10.043];

figure
plot3(lm1(:,1), lm1(:,3), lm1(:,2), 'b.', 'MarkerSize', 25); 
hold on;
plot3(lm2(:,1), lm2(:,3), lm2(:,2), 'r.', 'MarkerSize', 25); 
view([165 21]);
     
%OPA na landmarky
n1=sizeNormalize(lm1);
[n2 H]=OPA( lm2, n1 );

%zarovnej sit
figure
showModel(sizeNormalize(load('../data/face01.data')), load('../data/face01_faces.data'), 'b');
showModel(sizeNormalize(load('../data/face02.data'))*H, load('../data/face02_faces.data'), 'r');
view([165 21]);
