% seber data
%figure;hold on;xlim([-10,10]);ylim([-10,10]);
%[Ax Ay]=ginput(3);A=[Ax Ay];
%[Bx By]=ginput(3);B=[Bx By];
%close;

%A=[0 0; 1 0; 0.5 sqrt(3)/2];
%B=[0 0; 1 0; 0.5 -sqrt(3)/2];

A=[0 0; 1 0; 0.1 0];
B=[0 0; 1 0; 0.5 sqrt(3)/2];

%A=[0 0; 1 0; 0 0];
%B=[0 0; 1 0; 0.5 sqrt(3)/2];

%GPA
original = {A, B};
[shapes avg] = GPA(original);
nA = shapes{1};
nB = shapes{2};

%LSF
nnA=sizeNormalize(A);
nnB=sizeNormalize(B);
start = [0 0 0 1];
opt=optimset('LargeScale','off','Display','iter','MaxFunEvals',1000);
T = fminunc(@(X) SSD(X, nnA, nnB), start, opt);

%transformuj
nAA = transformation (T(1), T(2), T(3), T(4), nnA);

%zmer
nAAnB=shapeDistance(nAA, nB)
nAnB=shapeDistance(nA, nB)
rho=procrustesDistance( nA, nB )
sinrho=sin(rho)

csAA=sqrt(sum(sum(nAA(:).^2)'))
csA=sqrt(sum(sum(nA(:).^2)'))

%vykresli
figure;hold on;
simplePlot(A, 'r');
simplePlot(B, 'b');

figure;hold on;
simplePlot(nA, 'r');
simplePlot(nAA, 'g');
simplePlot(nB, 'b');

for i=1:3
    plot([nA(i,1); nB(i,1)], [nA(i,2); nB(i,2)], 'm', 'LineWidth', 3)
    plot([nAA(i,1); nB(i,1)], [nAA(i,2); nB(i,2)], 'c', 'LineWidth', 3)
end;


