points=6;

figure;hold on;xlim([-10,10]);ylim([-10,10]);

%vstupni landmarky
[Px Py]=ginput(points);
plot(Px, Py, 'bo');

%vystupni landmarky
[Qx Qy]=ginput(points);
plot(Qx, Qy, 'ro');

%vypocet tps koeficientu
[ wx wy ] = TPSSolve( Px, Py, Qx, Qy );

%zobrazeni tps mrizky
step=0.5
TPSPlot([-8 8 -8 8], wx, wy, [Px Py], step, 'r' );
plot(Px, Py, 'bo');
plot(Qx, Qy, 'ro');

%zobrazeni puvodni mrizky
figure;hold on;xlim([-10,10]);ylim([-10,10]);
plot(Px, Py, 'bo');
for X=-8:step:(8-step)
    for Y=-8:step:(8-step)
        plot([X X+step X+step X X],[Y Y Y+step Y+step Y],'b');
    end;
end;
