points=9;

%vstupni landmarky
Q=collectLandmarks('../data/spock.jpg',points);
hold on;
plot(Q(:,1), Q(:,2), 'bo');

%vystupni landmarky
[Px Py]=ginput(points);
P=[Px Py];
plot(Px, Px, 'ro');

%vypocet tps koeficientu
[ wx wy ] = TPSSolve( P(:,1), P(:,2), Q(:,1), Q(:,2) );


%nahraj data
M = rgb2gray(imread('../data/spock.jpg'));
MY=size(M,1);
MX=size(M,2);

% transformation
W=zeros(MX*MY,2);
for X=1:MX
    for Y=1:MY
        [XX YY]=TPS(wx, wy, [X Y], P);
        W((X-1)*MY+Y,1)=XX;
        W((X-1)*MY+Y,2)=YY;
    end;
end;

% interpolation
MM=im2double(M);
WW=interp2(MM, W(:,1), W(:,2));

% show result
MMM=reshape(WW, MY, MX);
figure
imshow(MMM);
hold on;
plot(Q(:,1), Q(:,2), 'ro');
plot(P(:,1), P(:,2), 'bo');
