%digitalizuj
%P1=collectLandmarks('../data/a_modern_human.jpg',3)
%P2=collectLandmarks('../data/baboon.jpg',3)
%P3=collectLandmarks('../data/gorilla.jpg',3)
%P4=collectLandmarks('../data/chimp.jpg',3)
%P5=collectLandmarks('../data/mandril.jpg',3)
%P6=collectLandmarks('../data/neanderthal.jpg',3)

%GPA
[shapes P0] = GPA({P1 P2 P3});
%[shapes P0] = GPA({P1 P2 P3 P4 P5 P6});

%PCA
P11=shapes{1}';P22=shapes{2}';P33=shapes{3}';
D=[P11(:)';P22(:)';P33(:)']

C=cov(D);

[V K]=eig(C);

%zobraz - puvodni data
DD=D';

figure;hold on;
simplePlot(shapes{1}, 'k'); simplePlot(shapes{2}, 'k'); simplePlot(shapes{3}, 'k');

AA=reshape(DD(:), 2, 9)';
%simplePlot(AA, 'ro');

%zobraz - prumer
simplePlot(P0, 'g');

%zobraz - vygenerovany exemplar
for i=0:0.02:0.5
    P0h=P0';
    BB=P0h(:) + i*V(:,6);
    BB=reshape(BB', 2, 3)';

    simplePlot(BB, 'bo');

    P0h=P0';
    BB=P0h(:) + i*V(:,5);
    BB=reshape(BB', 2, 3)';

    simplePlot(BB, 'co');
end

%spocitani koeficientu (PCA score)
Vi=inv(V);

P110h=(P11 - P0h);
k1=(Vi*P110h(:))'

P220h=(P22 - P0h);
k2=(Vi*P220h(:))'

P330h=(P33 - P0h);
k3=(Vi*P330h(:))'

%zobraz scatter plot
figure;hold on;
simplePlot([k1([5,6])], 'ro');
simplePlot([k2([5,6])], 'go');
simplePlot([k3([5,6])], 'bo');


for i=0:0.02:0.5
    simplePlot([0 i], 'bo');
    simplePlot([i 0], 'co');
end