%digitalizuj data
%P1=[0 0; 0 1; 1 1; 1 0; 0.5 0.5];
%P2=[0 0; 0 1; 1 1; 1 0; 0.5 0.75];
%P3=[0 0; 0 1; 1 1; 1 0; 0.5 0.25];

%P1=collectLandmarks('../data/a_modern_human.jpg',4)
%P2=collectLandmarks('../data/baboon.jpg',4)
%P3=collectLandmarks('../data/gorilla.jpg',4)

[shapes avg] = GPA({P1,P2,P3});

%spocitej partial warps scores oproti prumeru
pws1 = partialWarpsScores(avg, shapes{1});
pws2 = partialWarpsScores(avg, shapes{2})
pws3 = partialWarpsScores(avg, shapes{3})

D=[pws1(:)';pws2(:)';pws3(:)']
DA=sum(D)/3;

%pca
C=cov(D);

[RW K]=eig(C);

%vyber
w=diag(K)>0.00001

%relative warps scores
RWi = inv(RW');

rws1=(pws1(:)' - DA)*RWi;
rws2=(pws2(:)' - DA)*RWi;
rws3=(pws3(:)' - DA)*RWi;


RWS=[rws1;rws2;rws3]

%scatter plot
figure; hold on;
simplePlot(rws1([2 1]), 'ro');
simplePlot(rws2([2 1]), 'go');
simplePlot(rws3([2 1]), 'bo');




