%nacist data
v=load('../data/curve.data');
img=imread('../data/a_modern_human.jpg');

vx=v(:,1);
vy=v(:,2);
n=size(v,1);

%puvodni krivka
figure; 
imshow(img); hold on;
plot(vx,-vy+size(img,1), 'LineWidth', 5);
plot(vx,-vy+size(img,1), 'r.');

%polrn transformace
s=(v(1,:)+v(end,:))/2;
b=v(end,:)-v(1,:);
b=b/norm(b);

secx=[repmat(s(:,1),1,n); vx'];
secy=[repmat(s(:,2),1,n); vy'];
plot(secx(:)', -secy(:)'+size(img,1), 'g');

base=repmat(v(end,:)-v(1,:),n,1);
vects=(v-repmat(s,n,1));

%uhel a vzdalenost
cosa=sum(vects.*base,2) ./ (sqrt(sum(base.^2,2)).*sqrt(sum(vects.^2,2)));
ang = real(acos(cosa));
dist = sqrt(sum(vects.^2,2))

%zobraz polarni transformaci
figure; 
plot(ang*180/pi, dist);
ylim([0 300]);

%nuluj spektralni koeficienty
ftdist=fft(dist);
c=2;
ftdist((1+c):n-c)=0

dist=real(ifft(ftdist));

%rekonstruovana polarni transformace
figure;
plot(ang*180/pi, dist);
ylim([0 300]);

%inverzni rekonstruovana polarni transformace
M=[cos(ang) -sin(ang) sin(ang) cos(ang)]; %rotacni matice
B=repmat([b b], n, 1); %zakladna
MM=M.*B; %otoc zakladnu
MMM=[sum(MM(:,1:2),2) sum(MM(:,3:4),2)];
MMM=MMM.*repmat(dist,1,2);%skaluj na spocitanou velikost
MMM=MMM+repmat(s,n,1);%posun do stredu pol transformace

%nova krivka
figure; 
imshow(img); hold on;
plot(MMM(:,1),-MMM(:,2)+size(img,1), 'LineWidth', 5);
plot(MMM(:,1),-MMM(:,2)+size(img,1), 'r.');
