points=10;

%vstupni landmarky
figure;
imshow(imread('../data/skull.png'))
[Px Py]=ginput(points);
hold on;plot(Px, Py, 'bo','MarkerFaceColor','b');
text(Px+5, Py, num2str((1:points)'),'Color','b');

%vystupni landmarky
figure;
imshow(imread('../data/skull_target.png'))
[Qx Qy]=ginput(points);
hold on;plot(Qx, Qy, 'ro','MarkerFaceColor','r');
text(Qx+5, Qy, num2str((1:points)'),'Color','r');

%vypocet tps koeficientu
[ wx wy ] = TPSSolve( Px, Py, Qx, Qy );

%zobrazeni tps mrizky
step=32
TPSPlot([0 512 0 512], wx, wy, [Px Py], step, 'r' );
plot(Px, Py, 'bo','MarkerFaceColor','b');
plot(Qx, Qy, 'ro','MarkerFaceColor','r');

%zobrazeni puvodni mrizky
figure;hold on;xlim([0 512]);ylim([0 512]);
plot(Px, Py, 'bo','MarkerFaceColor','b');
for X=0:step:(512-step)
    for Y=0:step:(512-step)
        plot([X X+step X+step X X],[Y Y Y+step Y+step Y],'b');
    end;
end;
