function TPSPlot( e, wx, wy, P, step, col )

figure;
hold on
for X=e(1):step:(e(2)-step)
    for Y=e(3):step:(e(4)-step)
        [XX1 YY1]=TPS(wx, wy, [X Y], P);
        [XX2 YY2]=TPS(wx, wy, [X+step Y], P);
        [XX3 YY3]=TPS(wx, wy, [X+step Y+step], P);
        [XX4 YY4]=TPS(wx, wy, [X Y+step], P);
        plot([XX1 XX2 XX3 XX4 XX1],[YY1 YY2 YY3 YY4 YY1],col);
    end;
end;

