function TPSPlot3D( e, wx, wy, wz, P, step, col )

figure;
set(gca,'Projection','Perspective');
hold on
for X=e(1):step:(e(2)-step)
    for Y=e(3):step:(e(4)-step)
        for Z=e(5):step:(e(6)-step)
            [X000 Y000 Z000]=TPS3D(wx, wy, wz, [X Y Z], P);
            [X100 Y100 Z100]=TPS3D(wx, wy, wz, [X+step Y Z], P);
            [X110 Y110 Z110]=TPS3D(wx, wy, wz, [X+step Y+step Z], P);
            [X010 Y010 Z010]=TPS3D(wx, wy, wz, [X Y+step Z], P);
            
            [X001 Y001 Z001]=TPS3D(wx, wy, wz, [X Y Z+step], P);
            [X101 Y101 Z101]=TPS3D(wx, wy, wz, [X+step Y Z+step], P);
            [X111 Y111 Z111]=TPS3D(wx, wy, wz, [X+step Y+step Z+step], P);
            [X011 Y011 Z011]=TPS3D(wx, wy, wz, [X Y+step Z+step], P);
            
            plot3([X000 X100 X110 X010 X000],[Y000 Y100 Y110 Y010 Y000],[Z000 Z100 Z110 Z010 Z000],col);
            plot3([X001 X101 X111 X011 X001],[Y001 Y101 Y111 Y011 Y001],[Z001 Z101 Z111 Z011 Z001],col);
            plot3([X000 X001 X011 X010],[Y000 Y001 Y011 Y010],[Z000 Z001 Z011 Z010],col);
            plot3([X100 X101 X111 X110],[Y100 Y101 Y111 Y110],[Z100 Z101 Z111 Z110],col);
        end;
    end;
end;
