#generovani dat
ax<-rnorm(20,-1,1);
ay<-rnorm(20,3,1.5);

bx<-rnorm(20,1,1);h
by<-rnorm(20,-1,1);

cx<-rnorm(20,4,1);
cy<-rnorm(20,0,1);

plot(c(ax,bx,cx), c(ay,by,cy), xlab="Parameter 1", ylab="Parameter 2") 
#points(ax, ay, col="red")
#points(bx, by,  col="blue")
#points(cx, cy,  col="green")

#cluster analysis

data<-rbind(cbind(ax, ay), cbind(bx, by), cbind(cx, cy))
d<-dist(data)
hc<-hclust(d)

x11()
plot(hc)

x11()
k=5
g<-cutree(hc, k)
color=c(rep("red",20), rep("blue",20), rep("green",20))
plot(data, pch=g, col=color)

#vysvetlena variabilita - elbow criterion
l=10
ex<-numeric(l)
for(k in 2:l)
{
	g<-cutree(hc, k)

	total<-sum(diag(var(data)))

	explained = 0
	for (i in 1:k)
	{
		var1<-sum(diag(var(data[g==i,])))
		explained=+(total-var1)/total
	}
	ex[k]=explained
}

x11()
plot(1:l, ex, type="l", xlab="Pocet shluku", ylab="Variabilita")


#kmeans
km<-kmeans(data, 3)

x11()
plot(data, pch=km$cluster, col=color)

