#generovani dat
ax<-rnorm(20,-1,1.5);
ay<-rnorm(20,3,2);

bx<-rnorm(20,1,1);
by<-rnorm(20,-1,2);

plot(c(ax,bx), c(ay,by), xlab="Parameter 1", ylab="Parameter 2") 
points(ax, ay, col="red")
points(bx, by,  col="blue")

#LDA
library(MASS)
library(klaR)

d <- data.frame( rbind(cbind(ax, ay),
                       cbind(bx, by)),
                 g = rep(c("a","b"), rep(20,2)))
z <- lda(g ~ ax + ay, data=d)

x11()
plot(z)

x11()
partimat(g ~ ay + ax, data=d, method="lda")

x11()
zplot<-as.matrix(d[-3])%*%z$scaling
plot(zplot,pch=(1:2)[(d[,3])], ylab="LD1")